Bug 878 - ward brdf diffuse calculation wizard wrong
Summary: ward brdf diffuse calculation wizard wrong
Status: RESOLVED FIXED
Alias: None
Product: DIRSIG4
Classification: Unclassified
Component: dirsig_edit (show other bugs)
Version: 4.4.1-beta
Hardware: Other Other
: P5 normal
Assignee: Scott D. Brown
URL:
Depends on:
Blocks:
 
Reported: 2011-03-22 12:41 EDT by Michael Gartley
Modified: 2011-12-20 10:32 EST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gartley 2011-03-22 12:41:33 EDT

    
Comment 1 Michael Gartley 2011-03-22 12:43:23 EDT
in the material editor, there is an option to  "Make diffuse"
surface.. which translates surface reflectance to ward brdf
parameters.

i believe the conversion is off by a factor of (1/PI). when
supplying a diffuse weight of 1.0, it results in a 100%
reflector in DIRSIG radiometry.. however, the wizard
in the GUI lets the user specify a reflectance value of 1.0
with the "make diffuse" button which it incorrectly translates
to a value of 1/PI = 0.318
Comment 2 Scott D. Brown 2011-11-23 10:12:12 EST
Adam and I will check this out.  My guess is that Niek didn't understand the Ward BRDF inputs.
Comment 3 Adam Goodenough 2011-11-25 12:19:30 EST
I verified that the diffuse reflectance was being scaled by Pi in both the optical property and the material editor. I've removed the Pi scale in mat_edit so that the diffuse weight that it provides is consistent with the parametrization of the Ward BRDF model that we use.
Comment 4 Scott D. Brown 2011-12-20 10:32:11 EST
I am assuming Adam's fix resolved this.